Subject: bug#31446: 26.1; sql-interactive-mode buffer naming is broken

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 May 2018 19:42:38 +0300

> From: Filipp Gunbin <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 22 May 2018 14:27:27 +0300
> 
> > Maybe I'm missing something, but it looks like sql-comint and
> > sql-product-interactive belong to 2 different families of entry points
> > in the package.  Some call sql-product-interactive, while the others
> > call sql-comint.  Isn't that so?
> 
> sql-product-interactive is one of the entry points (a generic one).
> Other entry points are sql-postgres and the like, which specify product.

I said "families" of entry points.  I could be missing something, but
it looked to me that interactive sql.el commands that call sql-comint
don't call sql-product-interactive, and vice versa.  If I'm right,
this problem cannot be solved by using sql-comint.

> Well, this patch works for me.

Thanks, I hope Micheal (CC'ed) will look into this when he has time.